//////////////////////////////////////////////////////////
// This class has been automatically generated on
// Sat Feb 26 08:20:54 2005 by ROOT version 4.00/08
// from TTree h1/HUT
// found on file: mc_sos_data/mc_sos_1.root
//////////////////////////////////////////////////////////

#ifndef mc_sosBaseClass_h
#define mc_sosBaseClass_h

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>
#include <TH1.h>
#include <TH2.h>

class mc_sosBaseClass {
public :
   TTree          *fChain;   //!pointer to the analyzed TTree or TChain
   Int_t           fCurrent; //!current Tree number in a TChain

   // Declaration of leave types
   Float_t         ssxfp;
   Float_t         ssyfp;
   Float_t         ssxpfp;
   Float_t         ssypfp;
   Float_t         ssytari;
   Float_t         ssdeltai;
   Float_t         ssyptari;
   Float_t         ssxptari;
   Float_t         ssytar;
   Float_t         ssdelta;
   Float_t         ssyptar;
   Float_t         ssxptar;
   Float_t         hitcalo;

   // List of branches
   TBranch        *b_ssxfp;   //!
   TBranch        *b_ssyfp;   //!
   TBranch        *b_ssxpfp;   //!
   TBranch        *b_ssypfp;   //!
   TBranch        *b_ssytari;   //!
   TBranch        *b_ssdeltai;   //!
   TBranch        *b_ssyptari;   //!
   TBranch        *b_ssxptari;   //!
   TBranch        *b_ssytar;   //!
   TBranch        *b_ssdelta;   //!
   TBranch        *b_ssyptar;   //!
   TBranch        *b_ssxptar;   //!
   TBranch        *b_hitcalo;   //!

   mc_sosBaseClass(TTree *tree=0);
   ~mc_sosBaseClass();
   Int_t  Cut(Int_t entry);
   Int_t  GetEntry(Int_t entry);
   Int_t  LoadTree(Int_t entry);
   void   Init(TTree *tree);
   void   Loop(TH2F*, TH2F*, TH1F*, Float_t, Float_t, Float_t, Float_t);
   //void   Loop();
   Bool_t Notify();
   void   Show(Int_t entry = -1);
};

#endif

#ifdef mc_sosBaseClass_cxx
mc_sosBaseClass::mc_sosBaseClass(TTree *tree)
{
// if parameter tree is not specified (or zero), connect the file
// used to generate this class and read the Tree.
   if (tree == 0) {
      TFile *f = (TFile*)gROOT->GetListOfFiles()->FindObject("mc_sos_data/mc_sos_1.root");
      if (!f) {
         f = new TFile("mc_sos_data/mc_sos_1.root");
      }
      tree = (TTree*)gDirectory->Get("h1");

   }
   Init(tree);
}

mc_sosBaseClass::~mc_sosBaseClass()
{
   if (!fChain) return;
   delete fChain->GetCurrentFile();
}

Int_t mc_sosBaseClass::GetEntry(Int_t entry)
{
// Read contents of entry.
   if (!fChain) return 0;
   return fChain->GetEntry(entry);
}
Int_t mc_sosBaseClass::LoadTree(Int_t entry)
{
// Set the environment to read one entry
   if (!fChain) return -5;
   Int_t centry = fChain->LoadTree(entry);
   if (centry < 0) return centry;
   if (fChain->IsA() != TChain::Class()) return centry;
   TChain *chain = (TChain*)fChain;
   if (chain->GetTreeNumber() != fCurrent) {
      fCurrent = chain->GetTreeNumber();
      Notify();
   }
   return centry;
}

void mc_sosBaseClass::Init(TTree *tree)
{
   // The Init() function is called when the selector needs to initialize
   // a new tree or chain. Typically here the branch addresses of the tree
   // will be set. It is normaly not necessary to make changes to the
   // generated code, but the routine can be extended by the user if needed.
   // Init() will be called many times when running with PROOF.

   // Set branch addresses
   if (tree == 0) return;
   fChain = tree;
   fCurrent = -1;
   fChain->SetMakeClass(1);

   fChain->SetBranchAddress("ssxfp",&ssxfp);
   fChain->SetBranchAddress("ssyfp",&ssyfp);
   fChain->SetBranchAddress("ssxpfp",&ssxpfp);
   fChain->SetBranchAddress("ssypfp",&ssypfp);
   fChain->SetBranchAddress("ssytari",&ssytari);
   fChain->SetBranchAddress("ssdeltai",&ssdeltai);
   fChain->SetBranchAddress("ssyptari",&ssyptari);
   fChain->SetBranchAddress("ssxptari",&ssxptari);
   fChain->SetBranchAddress("ssytar",&ssytar);
   fChain->SetBranchAddress("ssdelta",&ssdelta);
   fChain->SetBranchAddress("ssyptar",&ssyptar);
   fChain->SetBranchAddress("ssxptar",&ssxptar);
   fChain->SetBranchAddress("hitcalo",&hitcalo);
   Notify();
}

Bool_t mc_sosBaseClass::Notify()
{
   // The Notify() function is called when a new file is opened. This
   // can be either for a new TTree in a TChain or when when a new TTree
   // is started when using PROOF. Typically here the branch pointers
   // will be retrieved. It is normaly not necessary to make changes
   // to the generated code, but the routine can be extended by the
   // user if needed.

   // Get branch pointers
   b_ssxfp = fChain->GetBranch("ssxfp");
   b_ssyfp = fChain->GetBranch("ssyfp");
   b_ssxpfp = fChain->GetBranch("ssxpfp");
   b_ssypfp = fChain->GetBranch("ssypfp");
   b_ssytari = fChain->GetBranch("ssytari");
   b_ssdeltai = fChain->GetBranch("ssdeltai");
   b_ssyptari = fChain->GetBranch("ssyptari");
   b_ssxptari = fChain->GetBranch("ssxptari");
   b_ssytar = fChain->GetBranch("ssytar");
   b_ssdelta = fChain->GetBranch("ssdelta");
   b_ssyptar = fChain->GetBranch("ssyptar");
   b_ssxptar = fChain->GetBranch("ssxptar");
   b_hitcalo = fChain->GetBranch("hitcalo");

   return kTRUE;
}

void mc_sosBaseClass::Show(Int_t entry)
{
// Print contents of entry.
// If entry is not specified, print current entry
   if (!fChain) return;
   fChain->Show(entry);
}
Int_t mc_sosBaseClass::Cut(Int_t entry)
{
// This function may be called from Loop.
// returns  1 if entry is accepted.
// returns -1 otherwise.
   return 1;
}
#endif // #ifdef mc_sosBaseClass_cxx
